//*******************************************************
//
//	KTR-10
//
//	動作設定
//
//	2023.7.4	KAWAKAMI Yukio
//*******************************************************
#include "config.h"

//*******************************************************
//  Config 読み込み
//*******************************************************
void load_conf(CONFIG *conf){
  uint8_t *p;

  p = (uint8_t *)conf;
  for (int i = 0; i < sizeof(CONFIG); i++){
    *p++ = EEPROM.read(EEPROM_CONFIG_ADRS + i);
  }
}


//*******************************************************
//  Config 書き込み
//*******************************************************
void save_conf(CONFIG *conf){
  uint8_t *p;

  p = (uint8_t *)conf;
  for (int i = 0; i < sizeof(CONFIG); i++){
    uint8_t d = EEPROM.read(EEPROM_CONFIG_ADRS + i);
    if (d != *p){
      EEPROM.write(EEPROM_CONFIG_ADRS + i, *p);
    }
    p++;
  }
}


//*******************************************************
//  Config 初期化
//*******************************************************
void init_conf(CONFIG *conf){

  memset((void *)conf, 0, sizeof(CONFIG));
  conf->pll_offset = 150;   // 25MHz Xtal + 18pFx2, Si5351 8pF
  conf->freq = FREQ_START;
  conf->if_freq = 455000;     // 455kHz
  conf->sqlch_level = 4;
  conf->sqlch_delay = 10;
  conf->rs9_level = 38;
  conf->mark = CONFIG_MARK;
}
