//*******************************************************
//
// KTR-10 Arduino 50MHz AM Transceiver Controler
//
//  2024.5.6 KAWAKAMI Yukio
//*******************************************************
#ifndef defined_MAIN_H
#define defined_MAIN_H

#include <stdint.h>

#define VERSION "1.0.3"

// menuで使うが、menu.h で宣言するとエラーになるのでとりあえずこちらに移動
typedef void (*FuncCallback)(int);

// GPIOピン割り当て
#define PIN_SW1 2
#define PIN_SW2 3
#define PIN_SW3 4
#define PIN_SW4 5
#define ENC_A 6
#define ENC_B 7
#define PIN_RXEN 8
#define PIN_AMPEN 9
#define PIN_TXEN 12
#define AD_PTT A0
#define AD_RSSI A2

#if F_CPU >= 13000000
#define AD_VOLT A7
#else
#define AD_VOLT A3
#endif

#define FREQ_BOTTOM 50000000  // 周波数下限
#define FREQ_TOP 54000000     // 周波数上限
#define FREQ_START 50620000

// SWITCH構造体の配列の番号の対応
#define SW1 0
#define SW2 1
#define SW3 2
#define SW4 3

#define MODE_RX 0
#define MODE_TX 1

#ifndef ON
#define ON  1
#endif

#ifndef OFF
#define OFF 0
#endif

void print_freq(uint32_t freq);
void set_freq(int ch, uint32_t freq);
void print_level_meter(int rssi);

int read_ptt_volt(void);
int read_volt(void);

void set_rx_freq(uint32_t freq);
void set_tx_freq(uint32_t freq);
void set_amp(int flag);

// menuから呼び出す用
void pll_offset_callback(int offset);
void rx_offset_callback(int offset);
void tx_offset_callback(int offset);

#endif  // defined_MAIN_H
