//*******************************************************
//
//	KTR-10
//
//	メニュー設定
//
//	2023.10.21	KAWAKAMI Yukio
//*******************************************************
#ifndef defined_MENU_H
#define defined_MENU_H

#define	MENU_TIMEOUT		(30 * 1000)

#define KEY_NONE    0
#define KEY_ESC     1
#define KEY_ENTER   2
#define KEY_UP      3
#define KEY_DOWN    4
#define KEY_LEFT    5
#define KEY_RIGHT   6

// Arduinoはここだと何故かエラーになる。main.h に入れたらエラーが起きなかったのでそちらに移動
//typedef void (*FuncCallback)(int);

void menu(void);
void menu_freq_offset(void);
void menu_if_freq(void);
void menu_ptt_volt_high(void);
void menu_ptt_volt_low(void);
void menu_set_ptt_volt(void);
void menu_rs9_level(void);
void menu_sqlch_level(void);
void menu_sqlch_delay(void);
void menu_sg(void);
void menu_init_config(void);

void menu_rx_offset(void);
void menu_tx_offset(void);

void menu_tune_step(void);


int select_menu(const char *msg[], int msg_n, int x, int y, int sel);
int select_number(int x, int y, int value, int min, int max, const char *unit);
int select_number_callback(int x, int y, int value, int min, int max, const char *unit, FuncCallback func);

int inkey(void);
void wait_keyoff(void);
void print_ok(void);
void print_indicator(int sel, const char *msg);

#endif  // defined_MENU_H
